Change the Status of a Mandate
This endpoint allows you to change the status of a mandate. A status change should always be performed as a unilateral operation. The status change can only be performed when the mandate is currently active or suspended. Releasing a suspended mandate can only be performed by the party that suspended the mandate.
Authentication
AuthorizationBearer
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Query parameters
client_id
Unique reference which was shared during CitiConnect API Onboarding (client_id which used during OAuth token generation).
mandate_identification
Specify unique identification, as assigned by the clearing scheme, to identify the mandate.
Request
Update mandate client details required.
status_request
request_reason
mandate_status_update
Response
OK
mandate_acceptance
Errors
400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error